Name:           xc3sprog
Version:        795
Release:        3%{?dist}
Summary:        A suite of utilities for programming Xilinx FPGAs, CPLDs and EEPROMs

License:        GPLv2
URL:            https://xc3sprog.sourceforge.net
Source0:        https://sourceforge.net/code-snapshots/svn/x/xc/xc3sprog/code/xc3sprog-code-r%{version}-trunk.zip
Patch0:         xc3sprog-cxx-environment.patch
Patch1:         xc3sprog-ambiguous-byte.patch

BuildRequires:  /usr/bin/c++
BuildRequires:  cmake
BuildRequires:  libftdi-devel
%if 0%{?fedora} >= 37
BuildRequires:  libusb-compat-0.1-devel
%else
BuildRequires:  libusb-devel
%endif

%description
xc3sprog is a suite of utilities for programming Xilinx FPGAs, CPLDs, and
EEPROMs with the Xilinx Parallel Cable and other JTAG adapters under Linux.


%prep
%autosetup -n %{name}-code-r%{version}-trunk


%build
%cmake
%cmake_build


%install
%cmake_install

install -p -m 644 -D -t $RPM_BUILD_ROOT%{_datadir}/xc3sprog \
                  cablelist.txt \
                  devlist.txt

install -p -m 644 -D -t $RPM_BUILD_ROOT%{_datadir}/xc3sprog/bscan_spi \
                  bscan_spi/README.txt \
                  bscan_spi/*.vhd \
                  bscan_spi/*.v \
                  bscan_spi/*.ucf \
                  bscan_spi/*.bit

install -p -m 644 -D -t $RPM_BUILD_ROOT%{_datadir}/xc3sprog/multiboot \
                  multiboot/README \
                  multiboot/*.bit \
                  multiboot/*.hex


%files
%license COPYING LICENSE
%doc byte-order.txt Contributors PERFORMANCE README Readme.Cmake Readme.Darwin
%doc Readme.DLC10 Readme.JTAG_Timing README.Win32 ToDo
%dir %{_datadir}/xc3sprog
%{_bindir}/bitparse
%{_bindir}/detectchain
%{_bindir}/javr
%{_bindir}/jedecparse
%{_bindir}/readdna
%{_bindir}/srecparse
%{_bindir}/xc2c_warp
%{_bindir}/xc3sprog
%{_datadir}/xc3sprog
